<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>CSS Introduction</title>

    <!-- Proper are to include internal style -->
    <style>
        h1 {
            color: blue;
        }
    </style>

    <!-- This is our method to have an external CSS -->
    <link rel="stylesheet" href="./index.css">

</head>

<body>

    <nav id="top">
        <a href="#landing">Zuitt</a>
        <div>
            <a href="#landing">Landing</a>
            <a href="#register">Register</a>
        </div>
    </nav>


    <!-- This is a sample inline styling -->
    <h1 style="color: red !important;">Hello World!</h1>

    <!-- Styled using internal css -->
    <h1>Hello Again!</h1>

    <!-- Styled using external CSS -->
    <h1>Hello Once More!</h1>

    <h2>Welcome to Zuitt!</h2>
    <h3 id="zuitt-motto">Opportunities for everyone, everywhere!</h3>

    <img src="https://place-puppy.com/450x450" alt="Puppy">

    <section id="landing">
        <ol id="bootcamp-learning-list">
            <li class="offering-item">Day Classes</li>
            <li class="offering-item">Night Classes</li>
            <li class="offering-item">Intro to Coding Events</li>
        </ol>
    
        <a href="#top">Back to Top</a>
    </section>

    <section id="register">
        <h2>Register</h2>
        <form>
            <label for="firstname">First Name: </label><br>
            <input type="text" name="firstname" id="firstname" required autocomplete="name"><br>

            <label for="lastname">Last Name: </label><br>
            <input type="text" name="lastname" id="lastname" required autocomplete="name"><br>

            <label for="email">Email: </label><br>
            <input type="email" name="email" id="email" required autocomplete="email"><br>

            <br><button type="submit">Apply Now</button>
        </form>

        <a href="#top">Back to Top</a>
    </section>

</body>
</html>